Package pyplusplus :: Package code_repository

# Package code_repository

source code

Code repository package is used as a repository of C++ classes/functions. Those classes/functions solve problems, that are typical to most projects. Right now, this package contains set of classes that help to export one dimensional static arrays. For example:

`char data[23];`

Submodules

- pyplusplus.code_repository.array_1: This file contains C++ code needed to export one dimensional static arrays.
- pyplusplus.code_repository.call_policies: This file contains C++ code - custom call policies
- pyplusplus.code_repository.convenience: This file contains C++ code needed to export one dimensional static arrays.
- pyplusplus.code_repository.ctypes_integration: This file contains C++ code needed to export one dimensional static arrays.
- pyplusplus.code_repository.gil_guard: This file contains C++ code to acquire/release the GIL.
- pyplusplus.code_repository.named_tuple
- pyplusplus.code_repository.return_range: This file contains C++ code - "return_range" call policies

Variables
| all = ``[`<module 'pyplusplus.code_repository.array_1' from 'd:\d`...``
| headers = ``[``'``__array_1.pypp.hpp``'``,` `'``__gil_guard.pypp.hpp``'``,` `'``__co``...``

Variables Details

### all

Value:

      [<module 'pyplusplus.code_repository.array_1' from 'd:\dev\language-bi
      nding\sources\pyplusplus_dev\pyplusplus\code_repository\array_1.pyc'>,
       <module 'pyplusplus.code_repository.gil_guard' from 'd:\dev\language-
      binding\sources\pyplusplus_dev\pyplusplus\code_repository\gil_guard.py
      c'>,
       <module 'pyplusplus.code_repository.convenience' from 'd:\dev\languag
      e-binding\sources\pyplusplus_dev\pyplusplus\code_repository\convenienc
      e.pyc'>,
      ...

### headers

Value:

      ['__array_1.pypp.hpp',
       '__gil_guard.pypp.hpp',
       '__convenience.pypp.hpp',
       '__call_policies.pypp.hpp',
       'named_tuple.py',
       '__return_range.pypp.hpp',
       '__ctypes_integration.pypp.hpp']